[Deprecated]: V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subject/{subjectId}/visit/{visitId}/forms/{formId}/dataelements
Deprecated: Checks lock and freeze related validation for row level actions.This endpoint is replaced by 'GET /v1.0/studies/{studyId}/{mode}/subject/{subjectId}/visit/{visitId}/forms/{formId}/validate/dataelements'. The new endpoint robustly validates all data elements for repeat instance forms and always returns results in DataElementValidationDto. In contrast, this deprecated version may return limited data or fail on certain forms. Use the new endpoint for all new integrations, as it includes handling for repeat forms, advanced validation logic and expanded result schema.
Request
Path Parameters
-
formId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
CF2BE95DFC474D32A1C876C852A387EC -
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
B1D8B2BA9DD84F0BAEF700387265AC8A -
subjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.Example:
9F54C6E935F144308915C2E0BBA2A9D3 -
visitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
F2AA7AEDC6C04544A1F6E2DBC63DDE27
Query Parameters
-
eventInstanceNum: integer(int64)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits. It is null for scheduled events.Example:
1 -
innerRepeatNum: integer(int64)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
1 -
outerRepeatNum: integer(int64)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Deprecated: Results returned for data elements, but see new endpoint for improved output and logic.
Root Schema : TwoSectionAndRepeatingFormValidationDto
Type:
Show Source
object-
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical event like Screening, Visit 1 etc.Example:
64C57ED1076F47078C8E5AD537244989 -
eventInstanceNum: integer
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits. It is null for scheduled events.Example:
1 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
64C57ED1076F47078C8E5AD537244989 -
hasFrozenData: boolean
Status showing subject has frozen dataExample:
true -
hasLockData: boolean
Status showing subject has locked dataExample:
true -
innerRepeatNum: integer
(int64)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
0 -
isSubjectLocked: boolean
Field representing the status of whether the Subject is locked or not.Example:
true -
outerRepeatNum: integer
(int64)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
subjectId: string
(UUID)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.Example:
64C57ED1076F47078C8E5AD537244989
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object